using System;
using System.Drawing ;
using System.ComponentModel.Design ;
using System.Windows.Forms;

namespace ExtendedDataGrid.StyleEditors
{
	public class GridColumnStylesCollectionEditor: CollectionEditor
	{
		public GridColumnStylesCollectionEditor(Type type) : base(type){}

		protected override System.Type[] CreateNewItemTypes()
		{
			
			// here you can add your own classes derived(directly or indirectly) from DataGridColumnStyle 
			return new Type[] {
									typeof(ExtendedDataGrid.ColumnStyles.DataGridFormatTextBoxColumn  ),
									typeof(ExtendedDataGrid.ColumnStyles.DataGridComboBoxColumn  ),
									typeof(ExtendedDataGrid.ColumnStyles.DataGridButtonColumn  ),
									typeof(ExtendedDataGrid.ColumnStyles.DataGridTextBoxColumn  ),
									typeof(ExtendedDataGrid.ColumnStyles.DataGridBoolColumn  ),
									typeof(ExtendedDataGrid.ColumnStyles.DataGridDTPickerColumn )
								}; 
		} 

		protected override System.ComponentModel.Design.CollectionEditor.CollectionForm CreateCollectionForm()
		{
//			System.ComponentModel.Design.CollectionEditor.CollectionForm frm;
//			frm=base.CreateCollectionForm ();
//			frm.BackColor=System.Drawing.Color.White ;
//			frm=new ColumnsCollectionEditorForm(this);
//			return frm;
			return base.CreateCollectionForm();
		}

		protected class ColumnsCollectionEditorForm:CollectionForm	
		{
			private Button btn;
			public ColumnsCollectionEditorForm(System.ComponentModel.Design.CollectionEditor editor):base(editor)
			{
				this.btn=new Button();
				this.Controls.Add(this.btn);
				this.btn.Location=new Point(50,50);
				this.btn.BackColor=Color.Red;
				this.btn.Text="Pippo";
				this.btn.Click+=new EventHandler(btn_Click);
				this.BackColor=System.Drawing.Color.Lavender ;
			
			}

			protected override void OnEditValueChanged()
			{
				
			}

			private void btn_Click(object sender, EventArgs e)
			{
				MessageBox.Show("You've just clicked on my button ");
			}
		}


	} 
}
