using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing;
using System.IO;
using System.Windows.Forms;
using System.Windows.Forms.Design;

namespace ExtendedDataGrid
{
	/// <summary>
	/// Summary description for XTDataGridDesigner.
	/// </summary>
	public class XTDataGridDesigner: System.Windows.Forms.Design.ControlDesigner
	{
		public XTDataGridDesigner()
		{
			//
			// TODO: Add constructor logic here
			//
		}
		public override System.ComponentModel.Design.DesignerVerbCollection Verbs
		{
			get
			{
				DesignerVerbCollection baseColl=base.Verbs ;
				baseColl.Add(new DesignerVerb("XTDataGrid Documentation", new EventHandler(this.showHelp)));
				return baseColl;
			}
		}
        
		private void showHelp(object sender, EventArgs e)
		{
			IHelpService hs = (IHelpService) this.Control.Site.GetService(typeof(IHelpService));            
			hs.ShowHelpFromUrl(@"http://www.gesora.com");
		}
        

	}

}
